image: docker:18.09.07

stages:
  - build


build_image:
  stage: build
  services:
    - docker:18.09.7-dind
  script:
    - docker build -t $CI_REGISTRY_IMAGE .
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker push $CI_REGISTRY_IMAGE

